Videos\videocomments 9 endpoints

GET /channels/{channel_id}/videos/{video_id}/comments

This method returns every video comment on the specified video.

operationId: VideosVideoComments_getAllReplies

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

video_id path required number

The ID of the video.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The comments were returned.

GET /channels/{channel_id}/videos/{video_id}/comments
POST /channels/{channel_id}/videos/{video_id}/comments

This method adds a video comment to the specified video.

operationId: VideosVideoComments_addNewComment

Parameters

Name In Required Type Description
channel_id path required number

The ID of the channel.

video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.comment+json
schema VideosVideoCommentsAddNewCommentRequest
Property Type Required
text string required

Responses

201

The comment was added.

400

Error code 2207: The comment text is missing.

401

Error code 8003: The user credentials are invalid.

403
  • Error code 3301: The comment was flagged as spam.
  • Error code 3411: The authenticated user is unverified.
  • Error code 3412: The authenticated user can’t comment.
  • Error code 3413: Comments are disabled for this video.
POST /channels/{channel_id}/videos/{video_id}/comments
GET /videos/{video_id}/comments

This method returns every video comment on the specified video.

operationId: get_comments

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The comments were returned.

GET /videos/{video_id}/comments
POST /videos/{video_id}/comments

This method adds a video comment to the specified video.

operationId: create_comment

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.comment+json
schema CreateCommentRequest
Property Type Required
text string required

Responses

201

The comment was added.

400

Error code 2207: The comment text is missing.

401

Error code 8003: The user credentials are invalid.

403
  • Error code 3301: The comment was flagged as spam.
  • Error code 3411: The authenticated user is unverified.
  • Error code 3412: The authenticated user can’t comment.
  • Error code 3413: Comments are disabled for this video.
POST /videos/{video_id}/comments
DELETE /videos/{video_id}/comments/{comment_id}

This method deletes the specified video comment. The authenticated user must be the owner of the comment.

operationId: delete_comment

Parameters

Name In Required Type Description
comment_id path required number

The ID of the comment.

video_id path required number

The ID of the video.

Responses

204

The comment was deleted.

403

Error code 3415: The authenticated user can’t delete this comment.

404
  • No such video or comment exists.
  • Error code 5000: The comment wasn’t deleted and still exists.
DELETE /videos/{video_id}/comments/{comment_id}
GET /videos/{video_id}/comments/{comment_id}

This method returns the specified video comment.

operationId: get_comment

Parameters

Name In Required Type Description
comment_id path required number

The ID of the comment.

video_id path required number

The ID of the video.

Responses

200

The comment was returned.

404

No such video or comment exists.

GET /videos/{video_id}/comments/{comment_id}
PATCH /videos/{video_id}/comments/{comment_id}

This method edits the specified video comment. The authenticated user must be the owner of the comment.

operationId: edit_comment

Parameters

Name In Required Type Description
comment_id path required number

The ID of the comment.

video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.comment+json
schema EditCommentRequest
Property Type Required
text string required

Responses

200

The comment was edited.

400

Error code 2207: The comment text is missing.

403
  • Error code 3301: The comment was flagged as spam.
  • Error code 3411: The authenticated user is unverified.
  • Error code 3412: The authenticated user can’t post comments.
  • Error code 3414: The authenticated user can’t edit this comment.
PATCH /videos/{video_id}/comments/{comment_id}
GET /videos/{video_id}/comments/{comment_id}/replies

This method returns every reply to the specified video comment.

operationId: VideosVideoComments_getAllReplies

Parameters

Name In Required Type Description
comment_id path required number

The ID of the comment.

video_id path required number

The ID of the video.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

Responses

200

The replies were returned.

404

No such video or comment exists.

GET /videos/{video_id}/comments/{comment_id}/replies
POST /videos/{video_id}/comments/{comment_id}/replies

This method adds a reply to the specified video comment.

operationId: VideosVideoComments_createReply

Parameters

Name In Required Type Description
comment_id path required number

The ID of the comment.

video_id path required number

The ID of the video.

Request Body

required
application/vnd.vimeo.comment+json
schema VideosVideoCommentsCreateReplyRequest
Property Type Required
text string required

Responses

201

The reply was added.

400

Error code 2207: The comment text is missing.

403
  • Error code 3301: The comment was flagged as spam.
  • Error code 3411: The authenticated user is unverified.
  • Error code 3412: The authenticated user can’t comment.
  • Error code 3413: Comments are disabled on this video.
POST /videos/{video_id}/comments/{comment_id}/replies

Watchlaterqueue\essentials 8 endpoints

GET /me/watchlater

This method returns every video from the authenticated user’s Watch Later queue.

operationId: WatchLaterQueueEssentials_getVideosInQueue

Parameters

Name In Required Type Description
direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by date added.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

304

The user hasn’t added any videos to their Watch Later queue since the given If-Modified-Since header.

GET /me/watchlater
DELETE /me/watchlater/{video_id}

This method removes the specified video from the authenticated user’s Watch Later queue.

operationId: WatchLaterQueueEssentials_removeVideoFromQueue

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

204

The video was removed.

DELETE /me/watchlater/{video_id}
GET /me/watchlater/{video_id}

This method checks the authenticated user’s Watch Later queue for the specified video.

operationId: WatchLaterQueueEssentials_checkVideoInQueue

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

200

The video is in the user’s Watch Later queue.

404

The video isn’t in the user’s Watch Later queue.

GET /me/watchlater/{video_id}
PUT /me/watchlater/{video_id}

This method adds the specified video to the authenticated user’s Watch Later queue.

operationId: WatchLaterQueueEssentials_addVideoToQueue

Parameters

Name In Required Type Description
video_id path required number

The ID of the video.

Responses

204

The video was added.

PUT /me/watchlater/{video_id}
GET /users/{user_id}/watchlater

This method returns every video from the authenticated user’s Watch Later queue.

operationId: WatchLaterQueueEssentials_listUserQueueVideos

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

direction query optional string

The sort direction of the results.

Option descriptions:

  • asc - Sort the results in ascending order.
  • desc - Sort the results in descending order.
filter query optional string

The attribute by which to filter the results.

Option descriptions:

  • embeddable - Return embeddable videos.
filter_embeddable query optional boolean

Whether to filter the results by embeddable videos (true) or non-embeddable videos (false). This parameter is required only when filter is embeddable.

page query optional number

The page number of the results to show.

per_page query optional number

The number of items to show on each page of results, up to a maximum of 100.

query query optional string

The search query to use to filter the results.

sort query optional string

The way to sort the results.

Option descriptions:

  • alphabetical - Sort the results alphabetically.
  • comments - Sort the results by number of comments.
  • date - Sort the results by date added.
  • duration - Sort the results by duration.
  • likes - Sort the results by number of likes.
  • plays - Sort the results by number of plays.

Responses

200

The videos were returned.

304

The user hasn’t added any videos to their Watch Later queue since the given If-Modified-Since header.

GET /users/{user_id}/watchlater
DELETE /users/{user_id}/watchlater/{video_id}

This method removes the specified video from the authenticated user’s Watch Later queue.

operationId: WatchLaterQueueEssentials_removeVideoFromQueue

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was removed.

DELETE /users/{user_id}/watchlater/{video_id}
GET /users/{user_id}/watchlater/{video_id}

This method checks the authenticated user’s Watch Later queue for the specified video.

operationId: WatchLaterQueueEssentials_checkVideoInQueue

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

200

The video is in the user’s Watch Later queue.

404

The video isn’t in the user’s Watch Later queue.

GET /users/{user_id}/watchlater/{video_id}
PUT /users/{user_id}/watchlater/{video_id}

This method adds the specified video to the authenticated user’s Watch Later queue.

operationId: WatchLaterQueueEssentials_addVideoToQueue

Parameters

Name In Required Type Description
user_id path required number

The ID of the user.

video_id path required number

The ID of the video.

Responses

204

The video was added.

PUT /users/{user_id}/watchlater/{video_id}